<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__tcpwm__output__trigger__modes" kind="group">
    <compoundname>group_tcpwm_output_trigger_modes</compoundname>
    <title>Output Trigger Modes</title>
      <sectiondef kind="define">
      <memberdef id="group__group__tcpwm__output__trigger__modes_1gaa612ddf2f420f24ed5d0452f48b221e7" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_OVERFLOW</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Output trigger generates signal on overflow event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="355" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="355" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1ga5be2edf875839fdbcdb1bbdfd72250fd" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_UNDEFLOW</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Output trigger generates signal on underflow event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="357" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="357" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1ga75e0d9ac2f7aa80c240921e0c7425f59" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_TC</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>Output trigger generates signal on terminal count event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="359" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="359" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1gaf3ae3628427e9d3883ad29b04da14d75" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_CC0_MATCH</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>Output trigger generates signal on compare/capture 0 event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="361" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="361" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1gabf63f61c436a0553c40905c347eb04b5" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_CC1_MATCH</name>
        <initializer>(4U)</initializer>
        <briefdescription>
<para>Output trigger generates signal on compare/capture 1 event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="363" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="363" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1ga78addd443fcec2a7818d4e93b6603ad2" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_LINE_OUT</name>
        <initializer>(5U)</initializer>
        <briefdescription>
<para>Output trigger generates the same signal as line_out. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="365" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="365" />
      </memberdef>
      <memberdef id="group__group__tcpwm__output__trigger__modes_1ga80297cac01044cbf8ea2af92c902da7e" kind="define" prot="public" static="no">
        <name>CY_TCPWM_CNT_TRIGGER_ON_DISABLED</name>
        <initializer>(7U)</initializer>
        <briefdescription>
<para>Output trigger disabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" bodystart="367" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm.h" line="367" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configures how TCPWM output triggers behave (TCPWM_v2 only) </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>